function [b2r]=B2_SDH_24_Rec(stm)
%========================================================
% B2_SDH_24_Rec
%Esta funcion extrae el valor de byte B2 de la trama STM-4 que llega despues de la transmision.
%========================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%========================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%========================================================
%
%%%=======%%%
[a b]=size(stm);
gg=0;
%%%=======%%%

for g=1:a/9
    gg=(g-1)*9;
    b2r(g,1:24)=stm((5+gg),1:24);
end

%[EOF] B2_SDH_24_Rec.m