function [hh]=B2_SDH_96(ent)
%========================================================
% B2_SDH_96
%Esta funcion calcula el valor de byte B2 antes de la transmision para un STM-4.
%========================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%========================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%========================================================
%
%%%=======%%%
[a b]=size(ent);
r=0;
%%%=======%%%

for s=1:a/9 %Controla el numero de tramas
    r=(s-1)*9;
    
   for ww=1:96
        b2_96(s,ww)=0;
        for mm=1:9
            nn=ww;
            while nn<=b
                b2_96(s,ww)=xor(b2_96(s,ww),ent((mm+r),nn));
                nn=nn+96;
            end
        end
    end
end

save('B2_SDH_96');

%%%=======%%%
load('B2_SDH_96');
c=0;
%%%=======%%%

for d=1:a/9 %Controla el numero de tramas
    c=(d-1)*9;
    ent((5+c),1:96)=b2_96(d,1:96);
end

hh=ent(:,:);

end
%[EOF] B2_SDH_96.m