function  y = Demapeo_DS1_byte_sincrono(u)

                                            %******************************************
                                            %*DEMAPEO DE DS1 byte-SINCRONO EN UN VT1.5*
                                            %******************************************

% Se trabajo con velocidad nominal de la seal PDH, DS1 = 1.544 Mbps
[Na Nb]=size(u);
Nciclo = Na/9;%(N de tramas requeridas)
Nfila=Na;
Ntotalbits=(Nciclo)*193;
w=zeros(1,Ntotalbits);
%------------------
fila=1;
B=0; H=0;
%------------------
for j=1:(Nciclo)   
       c=0;
        for i=1:9
            if i==1
                w(1,1+H)=u(fila,23);
                H=H+1;
            else
                c=c+1;
                w(1,1+H:24+H)=u(fila+c,1:24);
                H=H+24;
            end
        end
        fila=fila+9;
end
y=w(1,194:Ntotalbits);