function [h]=Puntero_CEPTVC3(ent)

%==============================================
% Puntero_CEPTVC3= Esta funcion genera una matriz con el valor del puntero. El
%                tamano de dicha matriz posee el mismo numero de filas de la senal
%                transmitida.
%==============================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Diciembre 2003
%	VERSION : 1.0
%
%==============================================
%	Realizado bajo MATLAB 6.5 Release 13/ Diciemdre 2003 (DZ)
%==============================================
%
i=1;band=0;
while i<=50
    if isempty(find_system(gcs,'Name',['Mapea (DS2 a TU2) Asincrono',int2str(i)]))==1
        band=1;
    else
        band=2;
        break
    end
    i=i+1;
end
%
%Obtencion de Parameros del Bloque
j=1;

    while j<=50
        if isempty(find_system(gcs,'Name','(VC3_a_TU3)'))==1
            if isempty(find_system(gcs,'Name',['(VC3_a_TU3)',int2str(j)]))==0
                BlkPunt=([gcs,'/','(VC3_a_TU3))',int2str(j)]);
                numtramas=str2num(get_param(BlkPunt,'ntrams'));
                break
            end
        else
            BlkPunt=([gcs,'/','(VC3_a_TU3)']);
            numtramas=str2num(get_param(BlkPunt,'ntrams'));
            break
        end
        j=j+1;
    end
%
if band==2
    Point=zeros((numtramas*9+27),10);
elseif band==1
    Point=zeros((numtramas*9+18),10);
end
%
%==============================================
%
Point(1,:)=ent(1,1:10);
%
h=Point(:,:);
%[EOF] Puntero.m