function h=Puntero_SDH(ent)
%==============================================
% Puntero= Esta funcion genra uan matriz con el valor del puntero. El
%                tamano de dicha matriz posee el mismo numero de filas de la senal
%                transmitida.
%==============================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Diciembre 2003
%	VERSION : 1.0
%
%==============================================
%	Realizado bajo MATLAB 6.5 Release 13/ Diciemdre 2003 (DZ)
%==============================================
%
%Obtencion de Parameros del Bloque
j=1;

    while j<=50
        if isempty(find_system(gcs,'Name','(VC4_a_AU4)'))==1
            if isempty(find_system(gcs,'Name',['(VC4_a_AU4)',int2str(j)]))==0
                band=1; %Encontrado
                BlkPunt=([gcs,'/','(VC4_a_AU4)',int2str(j)]);
                numtramas=str2num(get_param(BlkPunt,'ntra'));
                break
            end
        else
            band=2;  %Encontrado
            BlkPunt=([gcs,'/','(VC4_a_AU4)']);
            numtramas=str2num(get_param(BlkPunt,'ntra'));
            break
        end
        j=j+1;
    end
%
Point=zeros((numtramas*9+18),10);
%
%==============================================
%
Point(1,:)=ent(1,1:10);
%
h=Point(:,:);
%[EOF] Puntero_SDH.m