function [salida]=Rescribo_B2_SDH_24(u)
%========================================================
%Rescribo_B2_SDH_24
%Esta funcion hace que el valor de B2 en la posicion correpondiente al mismo tome el valor inicial de 'cero'.
%Esto con el fin de permitir el calculo del mismo en el receptor y compararlo con el que se recibio (que fue 
%calculado en el transmisor) mpara asi determinar si hubo errores o no en la transmision.
%========================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%========================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%========================================================
%
[a b]=size(u);
gg=0;

for g=1:a/9
    gg=(g-1)*9;
    
    %Reescribiendo B1. Rellenando con ceros para calcular su valor en el Rx.
    u((5+gg),1:24)= [0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0];
end

salida=u(:,:);

end
%[EOF] Rescribo_B2_SDH_24.m