/*
 * MATLAB Compiler: 3.0
 * Date: Wed Apr 07 23:58:18 2004
 * Arguments: "-B" "macro_default" "-O" "all" "-O" "fold_scalar_mxarrays:on"
 * "-O" "fold_non_scalar_mxarrays:on" "-O" "optimize_integer_for_loops:on" "-O"
 * "array_indexing:on" "-O" "optimize_conditionals:on" "-S" "-W" "simulink"
 * "-L" "C" "-t" "-T" "link:mex" "libmatlbmx.mlib" "atenuacion_fibra" 
 */

#ifndef MLF_V2
#define MLF_V2 1
#endif

#ifdef __cplusplus
extern "C" {
#endif

#define S_FUNCTION_NAME atenuacion_fibra

#include "libmatlb.h"
#include "mccsimulink.h"
#include "atenuacion_fibra.h"
#include "gcs.h"
#include "num2str.h"
#include "str2num.h"
#include "warndlg.h"

extern _mex_information _mex_info;

static mexFunctionTableEntry function_table[1]
  = { { "atenuacion_fibra", mlxAtenuacion_fibra, 1, 1,
        &_local_function_table_atenuacion_fibra } };

static _mexInitTermTableEntry init_term_table[1]
  = { { InitializeModule_atenuacion_fibra,
        TerminateModule_atenuacion_fibra } };

/*
 * The function "Mwarndlg" is the MATLAB callback version of the "warndlg"
 * function from file "c:\matlab6p5\toolbox\matlab\uitools\warndlg.m". It
 * performs a callback to MATLAB to run the "warndlg" function, and passes any
 * resulting output arguments back to its calling function.
 */
static mxArray * Mwarndlg(int nargout_,
                          mxArray * WarnString,
                          mxArray * DlgName,
                          mxArray * Replace) {
    mxArray * varargout = NULL;
    mclFevalCallMATLAB(
      mclNVarargout(nargout_, 1, &varargout, NULL),
      "warndlg",
      WarnString, DlgName, Replace, NULL);
    return varargout;
}

/*
 * The function "Mstr2num" is the MATLAB callback version of the "str2num"
 * function from file "c:\matlab6p5\toolbox\matlab\strfun\str2num.m". It
 * performs a callback to MATLAB to run the "str2num" function, and passes any
 * resulting output arguments back to its calling function.
 */
static mxArray * Mstr2num(mxArray * * ok, int nargout_, mxArray * s) {
    mxArray * x = NULL;
    mclFevalCallMATLAB(
      mclNVarargout(nargout_, 0, &x, ok, NULL), "str2num", s, NULL);
    return x;
}

/*
 * The function "Mnum2str" is the MATLAB callback version of the "num2str"
 * function from file "c:\matlab6p5\toolbox\matlab\strfun\num2str.m". It
 * performs a callback to MATLAB to run the "num2str" function, and passes any
 * resulting output arguments back to its calling function.
 */
static mxArray * Mnum2str(int nargout_, mxArray * x, mxArray * f) {
    mxArray * s = NULL;
    mclFevalCallMATLAB(
      mclNVarargout(nargout_, 0, &s, NULL), "num2str", x, f, NULL);
    return s;
}

/*
 * The function "Mgcs" is the MATLAB callback version of the "gcs" function
 * from file "c:\matlab6p5\toolbox\simulink\simulink\gcs.m". It performs a
 * callback to MATLAB to run the "gcs" function, and passes any resulting
 * output arguments back to its calling function.
 */
static mxArray * Mgcs(int nargout_) {
    mxArray * cursys = NULL;
    mclFevalCallMATLAB(mclNVarargout(nargout_, 0, &cursys, NULL), "gcs", NULL);
    return cursys;
}

_mex_information _mex_info
  = { 1, 1, function_table, 0, NULL, 0, NULL, 1, init_term_table };

/*
 * The function "mlfNWarndlg" contains the nargout interface for the "warndlg"
 * M-function from file "c:\matlab6p5\toolbox\matlab\uitools\warndlg.m" (lines
 * 0-0). This interface is only produced if the M-function uses the special
 * variable "nargout". The nargout interface allows the number of requested
 * outputs to be specified via the nargout argument, as opposed to the normal
 * interface which dynamically calculates the number of outputs based on the
 * number of non-NULL inputs it receives. This function processes any input
 * arguments and passes them to the implementation version of the function,
 * appearing above.
 */
mxArray * mlfNWarndlg(int nargout,
                      mlfVarargoutList * varargout,
                      mxArray * WarnString,
                      mxArray * DlgName,
                      mxArray * Replace) {
    mlfEnterNewContext(0, 3, WarnString, DlgName, Replace);
    nargout += mclNargout(varargout);
    *mlfGetVarargoutCellPtr(varargout)
      = Mwarndlg(nargout, WarnString, DlgName, Replace);
    mlfRestorePreviousContext(0, 3, WarnString, DlgName, Replace);
    return mlfAssignOutputs(varargout);
}

/*
 * The function "mlfWarndlg" contains the normal interface for the "warndlg"
 * M-function from file "c:\matlab6p5\toolbox\matlab\uitools\warndlg.m" (lines
 * 0-0). This function processes any input arguments and passes them to the
 * implementation version of the function, appearing above.
 */
mxArray * mlfWarndlg(mlfVarargoutList * varargout,
                     mxArray * WarnString,
                     mxArray * DlgName,
                     mxArray * Replace) {
    int nargout = 0;
    mlfEnterNewContext(0, 3, WarnString, DlgName, Replace);
    nargout += mclNargout(varargout);
    *mlfGetVarargoutCellPtr(varargout)
      = Mwarndlg(nargout, WarnString, DlgName, Replace);
    mlfRestorePreviousContext(0, 3, WarnString, DlgName, Replace);
    return mlfAssignOutputs(varargout);
}

/*
 * The function "mlfVWarndlg" contains the void interface for the "warndlg"
 * M-function from file "c:\matlab6p5\toolbox\matlab\uitools\warndlg.m" (lines
 * 0-0). The void interface is only produced if the M-function uses the special
 * variable "nargout", and has at least one output. The void interface function
 * specifies zero output arguments to the implementation version of the
 * function, and in the event that the implementation version still returns an
 * output (which, in MATLAB, would be assigned to the "ans" variable), it
 * deallocates the output. This function processes any input arguments and
 * passes them to the implementation version of the function, appearing above.
 */
void mlfVWarndlg(mxArray * WarnString, mxArray * DlgName, mxArray * Replace) {
    mxArray * varargout = NULL;
    mlfEnterNewContext(0, 3, WarnString, DlgName, Replace);
    varargout = Mwarndlg(0, WarnString, DlgName, Replace);
    mlfRestorePreviousContext(0, 3, WarnString, DlgName, Replace);
    mxDestroyArray(varargout);
}

/*
 * The function "mlxWarndlg" contains the feval interface for the "warndlg"
 * M-function from file "c:\matlab6p5\toolbox\matlab\uitools\warndlg.m" (lines
 * 0-0). The feval function calls the implementation version of warndlg through
 * this function. This function processes any input arguments and passes them
 * to the implementation version of the function, appearing above.
 */
void mlxWarndlg(int nlhs, mxArray * plhs[], int nrhs, mxArray * prhs[]) {
    mxArray * mprhs[3];
    mxArray * mplhs[1];
    int i;
    if (nrhs > 3) {
        mlfError(
          mxCreateString(
            "Run-time Error: File: warndlg Line: 1 Column:"
            " 1 The function \"warndlg\" was called with m"
            "ore than the declared number of inputs (3)."),
          NULL);
    }
    for (i = 0; i < 1; ++i) {
        mplhs[i] = NULL;
    }
    for (i = 0; i < 3 && i < nrhs; ++i) {
        mprhs[i] = prhs[i];
    }
    for (; i < 3; ++i) {
        mprhs[i] = NULL;
    }
    mlfEnterNewContext(0, 3, mprhs[0], mprhs[1], mprhs[2]);
    mplhs[0] = Mwarndlg(nlhs, mprhs[0], mprhs[1], mprhs[2]);
    mclAssignVarargoutCell(0, nlhs, plhs, mplhs[0]);
    mlfRestorePreviousContext(0, 3, mprhs[0], mprhs[1], mprhs[2]);
}

/*
 * The function "mlfStr2num" contains the normal interface for the "str2num"
 * M-function from file "c:\matlab6p5\toolbox\matlab\strfun\str2num.m" (lines
 * 0-0). This function processes any input arguments and passes them to the
 * implementation version of the function, appearing above.
 */
mxArray * mlfStr2num(mxArray * * ok, mxArray * s) {
    int nargout = 1;
    mxArray * x = NULL;
    mxArray * ok__ = NULL;
    mlfEnterNewContext(1, 1, ok, s);
    if (ok != NULL) {
        ++nargout;
    }
    x = Mstr2num(&ok__, nargout, s);
    mlfRestorePreviousContext(1, 1, ok, s);
    if (ok != NULL) {
        mclCopyOutputArg(ok, ok__);
    } else {
        mxDestroyArray(ok__);
    }
    return mlfReturnValue(x);
}

/*
 * The function "mlxStr2num" contains the feval interface for the "str2num"
 * M-function from file "c:\matlab6p5\toolbox\matlab\strfun\str2num.m" (lines
 * 0-0). The feval function calls the implementation version of str2num through
 * this function. This function processes any input arguments and passes them
 * to the implementation version of the function, appearing above.
 */
void mlxStr2num(int nlhs, mxArray * plhs[], int nrhs, mxArray * prhs[]) {
    mxArray * mprhs[1];
    mxArray * mplhs[2];
    int i;
    if (nlhs > 2) {
        mlfError(
          mxCreateString(
            "Run-time Error: File: str2num Line: 1 Column: "
            "1 The function \"str2num\" was called with mor"
            "e than the declared number of outputs (2)."),
          NULL);
    }
    if (nrhs > 1) {
        mlfError(
          mxCreateString(
            "Run-time Error: File: str2num Line: 1 Column:"
            " 1 The function \"str2num\" was called with m"
            "ore than the declared number of inputs (1)."),
          NULL);
    }
    for (i = 0; i < 2; ++i) {
        mplhs[i] = NULL;
    }
    for (i = 0; i < 1 && i < nrhs; ++i) {
        mprhs[i] = prhs[i];
    }
    for (; i < 1; ++i) {
        mprhs[i] = NULL;
    }
    mlfEnterNewContext(0, 1, mprhs[0]);
    mplhs[0] = Mstr2num(&mplhs[1], nlhs, mprhs[0]);
    mlfRestorePreviousContext(0, 1, mprhs[0]);
    plhs[0] = mplhs[0];
    for (i = 1; i < 2 && i < nlhs; ++i) {
        plhs[i] = mplhs[i];
    }
    for (; i < 2; ++i) {
        mxDestroyArray(mplhs[i]);
    }
}

/*
 * The function "mlfNum2str" contains the normal interface for the "num2str"
 * M-function from file "c:\matlab6p5\toolbox\matlab\strfun\num2str.m" (lines
 * 0-0). This function processes any input arguments and passes them to the
 * implementation version of the function, appearing above.
 */
mxArray * mlfNum2str(mxArray * x, mxArray * f) {
    int nargout = 1;
    mxArray * s = NULL;
    mlfEnterNewContext(0, 2, x, f);
    s = Mnum2str(nargout, x, f);
    mlfRestorePreviousContext(0, 2, x, f);
    return mlfReturnValue(s);
}

/*
 * The function "mlxNum2str" contains the feval interface for the "num2str"
 * M-function from file "c:\matlab6p5\toolbox\matlab\strfun\num2str.m" (lines
 * 0-0). The feval function calls the implementation version of num2str through
 * this function. This function processes any input arguments and passes them
 * to the implementation version of the function, appearing above.
 */
void mlxNum2str(int nlhs, mxArray * plhs[], int nrhs, mxArray * prhs[]) {
    mxArray * mprhs[2];
    mxArray * mplhs[1];
    int i;
    if (nlhs > 1) {
        mlfError(
          mxCreateString(
            "Run-time Error: File: num2str Line: 1 Column: "
            "1 The function \"num2str\" was called with mor"
            "e than the declared number of outputs (1)."),
          NULL);
    }
    if (nrhs > 2) {
        mlfError(
          mxCreateString(
            "Run-time Error: File: num2str Line: 1 Column:"
            " 1 The function \"num2str\" was called with m"
            "ore than the declared number of inputs (2)."),
          NULL);
    }
    for (i = 0; i < 1; ++i) {
        mplhs[i] = NULL;
    }
    for (i = 0; i < 2 && i < nrhs; ++i) {
        mprhs[i] = prhs[i];
    }
    for (; i < 2; ++i) {
        mprhs[i] = NULL;
    }
    mlfEnterNewContext(0, 2, mprhs[0], mprhs[1]);
    mplhs[0] = Mnum2str(nlhs, mprhs[0], mprhs[1]);
    mlfRestorePreviousContext(0, 2, mprhs[0], mprhs[1]);
    plhs[0] = mplhs[0];
}

/*
 * The function "mlfGcs" contains the normal interface for the "gcs" M-function
 * from file "c:\matlab6p5\toolbox\simulink\simulink\gcs.m" (lines 0-0). This
 * function processes any input arguments and passes them to the implementation
 * version of the function, appearing above.
 */
mxArray * mlfGcs(void) {
    int nargout = 1;
    mxArray * cursys = NULL;
    mlfEnterNewContext(0, 0);
    cursys = Mgcs(nargout);
    mlfRestorePreviousContext(0, 0);
    return mlfReturnValue(cursys);
}

/*
 * The function "mlxGcs" contains the feval interface for the "gcs" M-function
 * from file "c:\matlab6p5\toolbox\simulink\simulink\gcs.m" (lines 0-0). The
 * feval function calls the implementation version of gcs through this
 * function. This function processes any input arguments and passes them to the
 * implementation version of the function, appearing above.
 */
void mlxGcs(int nlhs, mxArray * plhs[], int nrhs, mxArray * prhs[]) {
    mxArray * mplhs[1];
    int i;
    if (nlhs > 1) {
        mlfError(
          mxCreateString(
            "Run-time Error: File: gcs Line: 1 Column: 1 The function \"gcs\""
            " was called with more than the declared number of outputs (1)."),
          NULL);
    }
    if (nrhs > 0) {
        mlfError(
          mxCreateString(
            "Run-time Error: File: gcs Line: 1 Column: 1 The function \"gcs\""
            " was called with more than the declared number of inputs (0)."),
          NULL);
    }
    for (i = 0; i < 1; ++i) {
        mplhs[i] = NULL;
    }
    mlfEnterNewContext(0, 0);
    mplhs[0] = Mgcs(nlhs);
    mlfRestorePreviousContext(0, 0);
    plhs[0] = mplhs[0];
}

/*
 * The function mdlInitializeSizes is a Compiler-generated Simulink S-function
 * wrapper. Simulink calls this function to initialize the S-function's "sizes"
 * structure. The arguments to the -u and -y mcc options are used to initialize
 * the number of inputs and outputs the S-function accepts and returns. If -u
 * or -y was not specified, this function uses the value -1, which is the same
 * as the DYNAMICALLY_SIZED macro.
 */
void mdlInitializeSizes(SimStruct * S) {
    mclInitializeSizes(S, -1, -1);
}

/*
 * The function mdlInitializeSampleTimes is a Compiler-generated Simulink
 * S-function wrapper. Simulink calls this function to initialize the
 * S-function's sample times array. This function initializes the S-function's
 * sample time to be inherited from the block driving it.
 */
void mdlInitializeSampleTimes(SimStruct * S) {
    mclInitializeSampleTimes(S);
}

/*
 * The function mdlInitializeConditions is a Compiler-generated Simulink
 * S-function wrapper. Simulink calls this function to initialize the
 * S-function's states and work vectors. Since Compiler-generated S-functions
 * have no states and no work vectors, this function is empty.
 */
void mdlInitializeConditions(real_T * x0, SimStruct * S) {
}

/*
 * The function mdlOutputs is a Compiler-generated Simulink S-function wrapper.
 * Simulink calls this function to compute the S-function's output vector. This
 * function initializes a table for use by the feval function and initializes
 * any persistent variables. It then calls the function "mlxAtenuacion_fibra".
 * Finally it clears the feval table and exits.
 */
void mdlOutputs(real_T * y,
                real_T const * x,
                real_T const * u,
                SimStruct * S,
                int_T tid) {
    mclSimulink(y, x, u, S, tid, mlxAtenuacion_fibra, &_mex_info);
}

/*
 * The function mdlUpdate is a Compiler-generated Simulink S-function wrapper.
 * Simulink calls this function to perform major time step updates. Simulink
 * does not call this function if the S-function has no discrete states and has
 * direct feedthrough. Since Compiler-generated S-functions meet these
 * criteria, this function is never called, and is therefore left empty.
 */
void mdlUpdate(real_T * x, real_T const * u, SimStruct * S, int_T tid) {
}

/*
 * The function mdlDerivatives is a Compiler-generated Simulink S-function
 * wrapper. Simulink calls this function to compute derivatives for continuous
 * states. Since Compiler-generated S-functions are stateless, this function is
 * left empty.
 */
void mdlDerivatives(real_T * dx,
                    real_T const * x,
                    real_T const * u,
                    SimStruct * S,
                    int_T tid) {
}

/*
 * The function mdlTerminate is a Compiler-generated Simulink S-function
 * wrapper. Simulink calls this function to clean up the S-function at the
 * termination of a simulation. Since Compiler-generated S-functions need no
 * cleanup, this function is left empty.
 */
void mdlTerminate(SimStruct * S) {
}
#ifdef  MATLAB_MEX_FILE    /* Is this file being compiled as a MEX-file? */
#include "simulink.c"      /* MEX-file interface mechanism */
#else
#include "cg_sfun.h"       /* Code generation registration function */
#endif

#ifdef __cplusplus
}
#endif

