              %**********************************************
              %* Multiplexa bit a bit 12 STS-1 en un STS-12 * 
              %**********************************************

%   1 -----)\              
%   2 -----) \
%   3 -----)  \
%   4 -----)   \
%   5 -----)    \
%   6 -----)     \----\
%   7 -----)     /----/ columnas...12 11 10 9 8 7 6 5 4 3 2 1                
%   8 -----)    /
%   9 -----)   /
%  10 -----)  /
%  11 -----) /
%  12 -----)/
%

function [STS12]=interSTS12(u)

 [r,t]=size(u);
 e=zeros(r,t);
 s=1;
 i=1;

 while i<=(t)
   e(:,i)=u(:,s);       % columna 1
   i=i+1;
   e(:,i)=u(:,s+720);  % columna 2
   i=i+1;
   e(:,i)=u(:,s+1440);  % columna 3
   i=i+1;
   e(:,i)=u(:,s+2160);  % columna 4
   i=i+1;
   e(:,i)=u(:,s+2880);   % columna 5
   i=i+1;
   e(:,i)=u(:,s+3600);  % columna 6
   i=i+1;
   e(:,i)=u(:,s+4320);  % columna 7
   i=i+1;
   e(:,i)=u(:,s+5040);  % columna 8
   i=i+1;
   e(:,i)=u(:,s+5760);  % columna 9
   i=i+1;   
   e(:,i)=u(:,s+6480);  % columna 10
   i=i+1;  
   e(:,i)=u(:,s+7200);  % columna 11
   i=i+1;  
   e(:,i)=u(:,s+7920);  % columna 12
   i=i+1;
   s=s+1;
   STS12=e;
end

end
 