function y = mapeoCEPT4C4(u)


[a b]=size(u);
Nciclos=b/17408;
Nfilas=9*Nciclos;
q=zeros(Nfilas,2080);% tamao de el C4
% El byte W  un byte de informacion de el flujo de bits de CEPT-4
% mapeo de vector a matriz de bytes
% mapeo en el C4
s=0;
f=1;%(Filas)
contador=0;
for j=1:Nfilas
    q(f,1:104)=u(1,1+s:104+s);
    q(f,105:112)=zeros(1,8);%Este es el Byte X=CRRRRRROO 
    q(f,113:208)=u(1,105+s:200+s);
    q(f,209:216)=zeros(1,8); % este es el byte Y=RRRRRRRR puro relleno
    q(f,217:312)=u(1,201+s:296+s);
    q(f,313:320)=zeros(1,8); %  byte Y
    q(f,321:416)=u(1,297+s:392+s);
    q(f,417:424)=zeros(1,8); %  byte Y
    q(f,425:520)=u(1,393+s:488+s);
    q(f,521:528)=zeros(1,8); %  byte X
    q(f,529:624)=u(1,489+s:584+s);
    q(f,625:632)=zeros(1,8); %  byte Y
    q(f,633:728)=u(1,585+s:680+s);
    q(f,729:736)=zeros(1,8); %  byte Y 
    q(f,737:832)=u(1,681+s:776+s);
    q(f,833:840)=zeros(1,8); %  byte Y
    q(f,841:936)=u(1,777+s:872+s);
    q(f,937:944)=zeros(1,8); %  byte X
    q(f,945:1040)=u(1,873+s:968+s);
    q(f,1041:1048)=zeros(1,8);% byte Y
    q(f,1049:1144)=u(1,969+s:1064+s);
    q(f,1145:1152)=zeros(1,8);% byte Y
    q(f,1153:1248)=u(1,1065+s:1160+s);
    q(f,1249:1256)=zeros(1,8);%byte Y
    q(f,1257:1352)=u(1,1161+s:1256+s);
    q(f,1353:1360)=zeros(1,8);% byte X
    q(f,1361:1456)=u(1,1257+s:1352+s);
    q(f,1457:1464)=zeros(1,8);% byte Y
    q(f,1465:1560)=u(1,1353+s:1448+s);
    q(f,1561:1568)=zeros(1,8);% byte Y
    q(f,1569:1664)=u(1,1449+s:1544+s);
    q(f,1665:1672)=zeros(1,8);% byte Y
    q(f,1673:1768)=u(1,1545+s:1640+s);
    q(f,1769:1776)=zeros(1,8);% byte X
    q(f,1777:1872)=u(1,1641+s:1736+s);
    q(f,1873:1880)=zeros(1,8);% byte Y
    q(f,1881:1982)=u(1,1737+s:1838+s);
    q(f,1983:1984)=zeros(1,2);% byte Z
    q(f,1985:2080)=u(1,1839+s:1934+s);
    % Bits C control de justificacion de frecuencia CCCCC=11111 significa que el bit S es relleno 
    q(f,105)= 1; q(f,521)= 1; q(f,937)= 1; q(f,1353)=1; q(f,1769)=1;
    contador = contador+1;
   if contador==9
       q(f-8,1983)=u(1,1935+s);% Primera fila de la trama en el bit 'S' se coloca un bit de dato 
       q(f-8,105)= 0; % C significa que el bit S de esta fila es Dato  
       q(f-8,521)= 0; % C significa que el bit S de esta fila es Dato       
       q(f-8,937)= 0; % C significa que el bit S de esta fila es Dato  
       q(f-8,1353)=0; % C significa que el bit S de esta fila es Dato  
       q(f-8,1769)=0; % C significa que el bit S de esta fila es Dato  
            
       q(f-7,1983)=u(1,1936+s);% Segunda fila de la trama en el bit 'S' se coloca un bit de dato
       q(f-7,105)= 0; % C significa que el bit S de esta fila es Dato   
       q(f-7,521)= 0; % C significa que el bit S de esta fila es Dato       
       q(f-7,937)= 0; % C significa que el bit S de esta fila es Dato  
       q(f-7,1353)=0; % C significa que el bit S de esta fila es Dato  
       q(f-7,1769)=0; % C significa que el bit S de esta fila es Dato  
       
       s=s+1936;
       contador=0;
   else
       s=s+1934;
   end    
   f=f+1;
end
%---------------------------------------------------------
y=q;
end