function [hh]=B2_SDH_24(ent)
%========================================================
% B2_SDH_24
%Esta funcion calcula el valor de byte B2 antes de la transmision para un STM-1.
%========================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%========================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%========================================================
%
%%%=======%%%
[a b]=size(ent);
r=0;
%%%=======%%%

for s=1:a/9 %Controla el numero de tramas
    r=(s-1)*9;
    for x=1:24
        b2_24(s,x)=0;
        for m=1:9
            n=x;
            while n<=b
                b2_24(s,x)=xor(b2_24(s,x),ent((m+r),n));
                n=n+24;
            end
        end
    end
    ent((5+r),1:24)=b2_24(s,1:24);
end

save('B2_SDH_24');

%%%=======%%%
load('B2_SDH_24');
c=0;
%%%=======%%%

for d=1:a/9 %Controla el numero de tramas
    c=(d-1)*9;
    
end

hh=ent(:,:);

end
%[EOF] B2_SDH_24.m