function [sal_codif]=Codificacion_Senal(ent_binaria)
%
%=====================================================
%  Codificacion_Senal = Esta funcion permite escoger el valor de la Senalizacion de Binaria de Linea 
%                                   Puede ser del tipo que sigue:
%                                   .....	Unipolar NRZ (Valor por Defecto)
%                                             Convierte la secuencia binaria a una secuencia unipolar usando la
%                                             siguiente transformacion:
%			                                                                     1 ---->  +A volt
%			                                                                     0 ---->     0 volt
%
%====================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Diciembre 2003
%	VERSION : 1.0
%
%====================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Diciemdre 2003 (DZ)
%====================================================
%
sal = (1)*ent_binaria;% El Valor 1 es igual a 1volt.
%
%   
sal_codif = double(sal(:,:));
%
%[EOF] Codificacion_Senal.m