function [Binaria]=Decodificacion_Linea(sec_cod)
%
%================================================
%  Decodificacion_Linea = Esta funcion permite decodificar la Senalizacion de Binaria que 
%                                      viene de la linea y transformarla a su forma original, senal binaria.
%                                      Se tiene:
%.....	Unipolar NRZ
%        Convierte la secuencia unipolar a una secuencia binaria usando la
%        siguiente transformacion:
%			                                 1 volt ---->  1
%			                                 0 volt ---->  0
%
%================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Diciembre 2003
%	VERSION : 1.0
%
%================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Diciemdre 2003 (DZ)
%================================================
%
sal=zeros(size(sec_cod));
%
%================================================
%
sal = sec_cod(:,:)/1;
%
Binaria=double(sal(:,:));
%
%[EOF] Decodificacion_Senal.m