function y = DemapeoDS3_SPE(u)

[Na Nb]=size(u);%(Dimensiones de la seal)
  
    %Inicializacion de variables para el ciclo F1
    %--------------------------------------------
    Nciclo=Na/9;%(N de tramas Requeridas)
    Nfila=Nciclo*9;
    Ntotalbits=Nciclo*4296;
    r=zeros(Na,672);
    q=zeros(1,Ntotalbits);
    
    % etapa donde convierto STS-1 SPE-POH a C-3 en un  adicionandole dos columnas de bytes
    
    r(:,1:224)=u(:,1:224);
    r(:,225:448)=u(:,233:456);
    r(:,449:672)=u(:,465:688);
    
    %--------------------------
        
    
    fila=0; H=0;
    for j=1:Nciclo
        for i=1:9
            q(1,1+H:205+H)=r(fila+1,20:224);
            H=H+205;
            q(1,1+H:208+H)=r(fila+1,241:448);
            H=H+208;
            q(1,1+H:208+H)=r(fila+1,465:672);
            H=H+208;
            fila=fila+1;
        end
        q(1,1+H)=r(fila-8,464);
        H=H+1;
        q(1,1+H)=r(fila-7,464);
        H=H+1;
        q(1,1+H)=r(fila-6,464);
        H=H+1;
        %---------------------
       
    end
                
y=q;
end