function re = Entrama_SONET_STS768(serial)
%
%===================================================
%  Entrama_SONET_STS1 = Esta funcion permite entramar la senal SONET STS-768 que esta siendo transmitida,
%                                 la cual llega en forma serial. 
%                       
%===================================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Enero 2004
%	VERSION : 1.0
%
%===================================================
%	Realizado bajo MATLAB 6.5 Release 13/ Enero 2004 (DZ)
%===================================================
%
        [a b]=size(serial);      
        y=b/4976640;  %  9*552960=4976640
        trama=zeros(y*9,552960);  % 720*768 tramas=552960
        s=0;
        q=1;
        for k=1:y
            trama(q,1:552960)=serial(1,((1+s):(552960+s)));
            s=s+552960;
            trama(q+1,1:552960)=serial(1,((1+s):(552960+s)));
            s=s+552960;
            trama(q+2,1:552960)=serial(1,((1+s):(552960+s)));
            s=s+552960;
            trama(q+3,1:552960)=serial(1,((1+s):(552960+s)));
            s=s+552960;
            trama(q+4,1:552960)=serial(1,((1+s):(552960+s)));
            s=s+552960;
            trama(q+5,1:552960)=serial(1,((1+s):(552960+s)));
            s=s+552960;
            trama(q+6,1:552960)=serial(1,((1+s):(552960+s)));
            s=s+552960;
            trama(q+7,1:552960)=serial(1,((1+s):(552960+s)));
            s=s+552960;
            trama(q+8,1:552960)=serial(1,((1+s):(552960+s)));
            s=s+552960;
            q=q+9;
       end
        re=trama;
    end