function [h6]=NDF_SF_AU3(ent)

[aa bb]=size(ent);
%%%%%%%%%%%%%%
u=zeros(aa,720);
punt=zeros(1,10);

%%%%%%%%%%%%%%
u(:,:)=ent(:,1:720);
punt(:,:)=ent(1,721:730);
%%%%%%%%%%%%%%

for x=1:aa/9
    m2=(x-1)*9;
    
    %Estos vectores pertenecen a los denominados punteros H1 y H2 son
    %complemento de los mismos.
                  %New Rate Flag (NDF). Este valor es en "Operacion Normal".
                   u((4+m2),1:4)= [0 1 1 0];
    
                  %Spare Field
                   u((4+m2),5:6)= [0 0];
                  
                   % Introduzco Puntero Tipo A (Ver pag.5-4 del Libro Understanding SONET/SDH)
                   %Coloca el valor del retraso de la trama introducido por el usuario.
                   u((4+m2),7:8)= punt(1,1:2);
                   u((4+m2),9:16)=punt(1,3:10);
                   u((4+m2),17:24)=[1 1 1 1 1 1 1 1]; % son los 3 bytes de H3 estan en alto
       
                   
end
     
     %Salida
     h6=u;
end