function [Point]=Puntero_VC3(ent)

%==============================================
% Puntero= Esta funcion genra uan matriz con el valor del puntero. El
%                tamano de dicha matriz posee el mismo numero de filas de la senal
%                transmitida.
%==============================================
%
%	AUTORES : Z. AGUI%O & D. STECKLER
%                       Universidad de Carabobo
%                       Valencia edo. Carabobo, VENEZUELA
%
%	FECHA     : Diciembre 2003
%	VERSION : 1.0
%
%==============================================
%	Realizado bajo MATLAB 6.5 Release 13/ Diciemdre 2003 (DZ)
%==============================================
%
i=1;band=0;
while i<=50
    
        
    if isempty(find_system(gcs,'Name',['Mapea (DS1 a TU11) Byte_Sincrono',int2str(i)]))==1
        band=1;
    else
        band=2;
        break
    end    
       
    if isempty(find_system(gcs,'Name',['Mapea (DS1 a TU11) Bits_Sincrono',int2str(i)]))==1
        band=1;
    else
        band=2;
        break
    end    
    
    if isempty(find_system(gcs,'Name',['Mapea (DS1 a TU11) Asincrono',int2str(i)]))==1
        band=1;
    else
        band=2;
        break
    end
        
    if isempty(find_system(gcs,'Name',['Mapea (CEPT1 a TU12) Byte_Sincrono_30_CAS',int2str(i)]))==1
        band=1;
    else
        band=2;
        break
    end     
    
    if isempty(find_system(gcs,'Name',['Mapea (CEPT1 a TU12) Byte_Sincrono_31CCS',int2str(i)]))==1
        band=1;
    else
        band=2;
        break
    end 
    
    
    if isempty(find_system(gcs,'Name',['Mapea (CEPT1 a TU12) Bits_Sincrono',int2str(i)]))==1
        band=1;
    else
        band=2;
        break
    end
    
    
    if isempty(find_system(gcs,'Name',['Mapea (CEPT1 a TU12) Asincrono',int2str(i)]))==1
        band=1;
    else
        band=2;
        break
    end   
    
    
    if isempty(find_system(gcs,'Name',['Mapea (DS2 a TU2) Asincrono',int2str(i)]))==1
        band=1;
    else
        band=2;
        break
    end
       
    i=i+1;
    
end
%
%
%Obtencion de Parameros del Bloque
j=1;

    while j<=50
        if isempty(find_system(gcs,'Name','(VC3_a_AU3)'))==1
            if isempty(find_system(gcs,'Name',['(VC3_a_AU3)',int2str(j)]))==0
                BlkPunt=([gcs,'/','(VC3_a_AU3)',int2str(j)]);
                numtramas=str2num(get_param(BlkPunt,'ntram'));
                break
            end
        else
            BlkPunt=([gcs,'/','(VC3_a_AU3)']);
            numtramas=str2num(get_param(BlkPunt,'ntram'));
            break
        end
        j=j+1;
    end
%
if (band==1)
    Point=zeros((numtramas*9+18),10);
elseif (band==2)
    Point=zeros((numtramas*9+27),10);
       
end
%
%==============================================
%
Point(1,:)=ent(1,1:10);
%[EOF] Puntero.m