              %**********************************************
              %* Multiplexa byte a byte 48 STS-1 en un STS-48 * 
              %**********************************************

%   1 -----)\              
%   2 -----) \
%   3 -----)  \
%  .. -----)   \
%  .. -----)    \
%  .. -----)     \----\
%  .. -----)     /----/ columnas...12 11 10 9 8 7 6 5 4 3 2 1                
%  .. -----)    /
%  .. -----)   /
%  46 -----)  /
%  47 -----) /
%  48 -----)/
%

function [e]=interbyte48STS1(u)

 [r,t]=size(u);
 e=zeros(r,t);
 s=1; i=1; s1=1; s2=1; s3=1; s4=1; s5=1; s6=1; s7=1; s8=1; s9=1; s10=1; s11=1; s12=1; s13=1; s14=1; s15=1; s16=1;
 s17=1; s18=1; s19=1; s20=1; s21=1; s22=1; s23=1; s24=1; s25=1; s26=1; s27=1; s28=1; s29=1; s30=1; s31=1; s32=1;
 s33=1; s34=1; s35=1; s36=1; s37=1; s38=1; s39=1; s40=1; s41=1; s42=1; s43=1; s44=1; s45=1; s46=1; s47=1; s48=1;
 while i<=(t)
   Q=1;W=1;H=1;E=1;O=1;D=1;G=1;F=1;L=1;Z=1;C=1;V=1;Q1=1;W1=1;H1=1;E1=1;O1=1;D1=1;G1=1;F1=1;L1=1;Z1=1;C1=1;V1=1;Q2=1;
   W2=1;H2=1;E2=1;O2=1;D2=1;G2=1;F2=1;L2=1;Z2=1;C2=1;V2=1;Q3=1;W3=1;H3=1;E3=1;O3=1;D3=1;G3=1;F3=1;L3=1;Z3=1;C3=1;V3=1;
   while H<=8
   e(:,i)=u(:,s);       % columna 1
   i=i+1;
   s=s+1;
   H=H+1;
   end
   while Q<=8
   e(:,i)=u(:,s1+720);  % columna 2
   i=i+1;
   s1=s1+1;
   Q=Q+1;
   end
   while W<=8
   e(:,i)=u(:,s2+1440);  % columna 3
   i=i+1;
   s2=s2+1;
   W=W+1;
   end
   while E<=8
   e(:,i)=u(:,s3+2160);  % columna 4
   i=i+1;
   s3=s3+1;
   E=E+1; 
   end
   while O<=8
   e(:,i)=u(:,s4+2880);   % columna 5
   i=i+1;
   s4=s4+1;
   O=O+1;
   end
   while D<=8
   e(:,i)=u(:,s5+3600);  % columna 6
   i=i+1;
   s5=s5+1;
   D=D+1;
   end
   while F<=8
   e(:,i)=u(:,s6+4320);  % columna 7
   i=i+1;
   s6=s6+1;
   F=F+1;
   end
   while G<=8
   e(:,i)=u(:,s7+5040);  % columna 8
   i=i+1;
   s7=s7+1;
   G=G+1;
   end
   while L<=8
   e(:,i)=u(:,s8+5760);  % columna 9
   i=i+1;
   s8=s8+1;
   L=L+1;
   end
   while Z<=8
   e(:,i)=u(:,s9+6480);  % columna 10
   i=i+1;
   s9=s9+1;
   Z=Z+1;
   end
   while C<=8  
   e(:,i)=u(:,s10+7200);  % columna 11
   i=i+1;
   s10=s10+1;
   C=C+1;
   end
   while V<=8
   e(:,i)=u(:,s11+7920);  % columna 12
   i=i+1;
   s11=s11+1;
   V=V+1;
   end
   while H1<=8
   e(:,i)=u(:,s12+8640);       % columna 1
   i=i+1;
   s12=s12+1;
   H1=H1+1;
   end
   while Q1<=8
   e(:,i)=u(:,s13+9360);  % columna 2
   i=i+1;
   s13=s13+1;
   Q1=Q1+1;
   end
   while W1<=8
   e(:,i)=u(:,s14+10080);  % columna 3
   i=i+1;
   s14=s14+1;
   W1=W1+1;
   end
   while E1<=8
   e(:,i)=u(:,s15+10800);  % columna 4
   i=i+1;
   s15=s15+1;
   E1=E1+1; 
   end
   while O1<=8
   e(:,i)=u(:,s16+11520);   % columna 5
   i=i+1;
   s16=s16+1;
   O1=O1+1;
   end
   while D1<=8
   e(:,i)=u(:,s17+12240);  % columna 6
   i=i+1;
   s17=s17+1;
   D1=D1+1;
   end
   while F1<=8
   e(:,i)=u(:,s18+12960);  % columna 7
   i=i+1;
   s18=s18+1;
   F1=F1+1;
   end
   while G1<=8
   e(:,i)=u(:,s19+13680);  % columna 8
   i=i+1;
   s19=s19+1;
   G1=G1+1;
   end
   while L1<=8
   e(:,i)=u(:,s20+14400);  % columna 9
   i=i+1;
   s20=s20+1;
   L1=L1+1;
   end
   while Z1<=8
   e(:,i)=u(:,s21+15120);  % columna 10
   i=i+1;
   s21=s21+1;
   Z1=Z1+1;
   end
   while C1<=8  
   e(:,i)=u(:,s22+15840);  % columna 11
   i=i+1;
   s22=s22+1;
   C1=C1+1;
   end
   while V1<=8
   e(:,i)=u(:,s23+16560);  % columna 12
   i=i+1;
   s23=s23+1;
   V1=V1+1;
   end
   while H2<=8
   e(:,i)=u(:,s24+17280);       % columna 1
   i=i+1;
   s24=s24+1;
   H2=H2+1;
   end
   while Q2<=8
   e(:,i)=u(:,s25+18000);  % columna 2
   i=i+1;
   s25=s25+1;
   Q2=Q2+1;
   end
   while W2<=8
   e(:,i)=u(:,s26+18720);  % columna 3
   i=i+1;
   s26=s26+1;
   W2=W2+1;
   end
   while E2<=8
   e(:,i)=u(:,s27+19440);  % columna 4
   i=i+1;
   s27=s27+1;
   E2=E2+1; 
   end
   while O2<=8
   e(:,i)=u(:,s28+20160);   % columna 5
   i=i+1;
   s28=s28+1;
   O2=O2+1;
   end
   while D2<=8
   e(:,i)=u(:,s29+20880);  % columna 6
   i=i+1;
   s29=s29+1;
   D2=D2+1;
   end
   while F2<=8
   e(:,i)=u(:,s30+21600);  % columna 7
   i=i+1;
   s30=s30+1;
   F2=F2+1;
   end
   while G2<=8
   e(:,i)=u(:,s31+22320);  % columna 8
   i=i+1;
   s31=s31+1;
   G2=G2+1;
   end
   while L2<=8
   e(:,i)=u(:,s32+23040);  % columna 9
   i=i+1;
   s32=s32+1;
   L2=L2+1;
   end
   while Z2<=8
   e(:,i)=u(:,s33+23760);  % columna 10
   i=i+1;
   s33=s33+1;
   Z2=Z2+1;
   end
   while C2<=8  
   e(:,i)=u(:,s34+24480);  % columna 11
   i=i+1;
   s34=s34+1;
   C2=C2+1;
   end
   while V2<=8
   e(:,i)=u(:,s35+25200);  % columna 12
   i=i+1;
   s35=s35+1;
   V2=V2+1;
   end
   while H3<=8
   e(:,i)=u(:,s36+25920);       % columna 1
   i=i+1;
   s36=s36+1;
   H3=H3+1;
   end
   while Q3<=8
   e(:,i)=u(:,s37+26640);  % columna 2
   i=i+1;
   s37=s37+1;
   Q3=Q3+1;
   end
   while W3<=8
   e(:,i)=u(:,s38+27360);  % columna 3
   i=i+1;
   s38=s38+1;
   W3=W3+1;
   end
   while E3<=8
   e(:,i)=u(:,s39+28080);  % columna 4
   i=i+1;
   s39=s39+1;
   E3=E3+1; 
   end
   while O3<=8
   e(:,i)=u(:,s40+28800);   % columna 5
   i=i+1;
   s40=s40+1;
   O3=O3+1;
   end
   while D3<=8
   e(:,i)=u(:,s41+29520);  % columna 6
   i=i+1;
   s41=s41+1;
   D3=D3+1;
   end
   while F3<=8
   e(:,i)=u(:,s42+30240);  % columna 7
   i=i+1;
   s42=s42+1;
   F3=F3+1;
   end
   while G3<=8
   e(:,i)=u(:,s43+30960);  % columna 8
   i=i+1;
   s43=s43+1;
   G3=G3+1;
   end
   while L3<=8
   e(:,i)=u(:,s44+31680);  % columna 9
   i=i+1;
   s44=s44+1;
   L3=L3+1;
   end
   while Z3<=8
   e(:,i)=u(:,s45+32400);  % columna 10
   i=i+1;
   s45=s45+1;
   Z3=Z3+1;
   end
   while C3<=8  
   e(:,i)=u(:,s46+33120);  % columna 11
   i=i+1;
   s46=s46+1;
   C3=C3+1;
   end
   while V3<=8
   e(:,i)=u(:,s47+33840);  % columna 12
   i=i+1;
   s47=s47+1;
   V3=V3+1;
   end
end
end
 