function  y = mapeo_CEPT1_byte_sincrono_31CCS(u)


                                            %****************************************
                                            %*MAPEO DE CEPT1 byte-SINCRONO EN UN VT2*
                                            %****************************************

% Se trabajo con velocidad nominal de la seal PDH, DS1 = 2.048 Mbps solo
% se trabaja con velocidad nominal
[Na Nb]=size(u);
Nciclo = Nb/248;%(N de tramas requeridas)
Nfila=(Nciclo)*9+9;
q=zeros(Nfila,32);
%------------------
q(1:9,1:32)=zeros(9,32);
V1=[0 1 1 0 1 0 0 0];
q(1,1:8)=V1;
fila=1;
fila=fila+9;
B=0; H=0;
%------------------
for j=1:Nciclo
    B=B+1;
    if (B==1)
        c=0;
        for i=1:8
            if (i>=1&i<=7)
                c=c+1;
                q(fila+c,1:32)=u(1,1+H:32+H);
                H=H+32;
            elseif (i==8)
                c=c+1;
                q(fila+c,1:24)=u(1,1+H:24+H);
                H=H+24;
            end
        end
        V2=[0 0 0 0 0 0 0 0];
        V5=[0 0 0 0 0 1 0 0];
        q(fila,1:8)=V2; q(fila,9:16)=V5;
        fila=fila+9;
    end    
    if (B==2)
       c=0;
        for i=1:8
            if (i>=1&i<=7)
                c=c+1;
                q(fila+c,1:32)=u(1,1+H:32+H);
                H=H+32;
            elseif (i==8)
                c=c+1;
                q(fila+c,1:24)=u(1,1+H:24+H);
                H=H+24;
            end
        end
        V3=[0 0 0 0 0 0 0 0];
        J2=[0 0 0 0 0 0 0 0];
        q(fila,1:8)=V3; q(fila,9:16)=J2;    
        fila=fila+9;
    end
    if (B==3)
       c=0;
        for i=1:8
            if (i>=1&i<=7)
                c=c+1;
                q(fila+c,1:32)=u(1,1+H:32+H);
                H=H+32;
            elseif (i==8)
                c=c+1;
                q(fila+c,1:24)=u(1,1+H:24+H);
                H=H+24;
            end
        end
        V4=[0 0 0 0 0 0 0 0];
        N2=[0 0 0 0 0 0 0 0];
        q(fila,1:8)=V4; q(fila,9:16)=N2;   
        fila=fila+9;
    end    
    if (B==4) 
      c=0;
        for i=1:8
            if (i>=1&i<=7)
                c=c+1;
                q(fila+c,1:32)=u(1,1+H:32+H);
                H=H+32;
            elseif (i==8)
                c=c+1;
                q(fila+c,1:24)=u(1,1+H:24+H);
                H=H+24;
            end
        end
        V1=[0 1 1 0 1 1 0 0];
        K4=[0 0 0 0 0 0 0 0];
        q(fila,1:8)=V1; q(fila,9:16)=K4;
        B=0;    
        fila=fila+9;
    end        
 y=q; 
end   
   