function  y = mapeo_DS1C_asincrono(u)


%NOTA: Este mapeo se realizo con un generador de Supertramas

                                            %***********************************
                                            %*MAPEO DE DS1C ASINCRONO EN UN VT3*
                                            %***********************************

% Se trabajo con velocidad nominal de la seal PDH, DS1C = 3.152 Mbps
% %%%% "Solo se trabaja con velocidad nominal" %%%% %
[Na Nb]=size(u);
Nciclo = 4*(Nb/1576);%(N de supertramas requeridas)
Nfila=(Nciclo)*9+9;
q=zeros(Nfila,48);
%-----------------
q(1:9,1:48)=zeros(9,48);
V1=[0 1 1 0 0 1 0 0];
q(1,1:8)=V1;
fila=10;
%-----------------
B=0; H=0;
for j=1:(Nciclo)
    B=B+1;
    if (B==1)
        c=0;
        for i=1:9
            if (i==1)
                q(fila,18:23)=u(1,1+H:6+H);
                H=H+6;
                q(fila,25:48)=u(1,1+H:24+H);
                H=H+24;
            elseif (i>=2&i<=4)
                c=c+1;
                q(fila+c,1:48)=u(1,1+H:48+H);
                H=H+48;
            elseif (i==5)
                c=c+1;
                q(fila+c,1:24)=u(1,1+H:24+H);
                H=H+24;
                q(fila+c,33:40)=u(1,1+H:8+H);
                H=H+8;
                q(fila+c,42)=1;
                q(fila+c,47)=u(1,1+H);
                H=H+1;
            else
                c=c+1;
                q(fila+c,1:48)=u(1,1+H:48+H);
                H=H+48;
            end
        end       
        V2=[0 0 0 0 0 0 0 0];
        V5=[0 0 0 0 0 1 0 0];
        q(fila,1:8)=V2; q(fila,9:16)=V5;
    end
    if (B==2)
        c=0;
        for i=1:9
            if (i==1)
                q(fila,23)=u(1,1+H);
                H=H+1;
                q(fila,18)=1;
                q(fila,25:48)=u(1,1+H:24+H);
                H=H+24;
            elseif (i>=2&i<=4)
                c=c+1;
                q(fila+c,1:48)=u(1,1+H:48+H);
                H=H+48;
            elseif (i==5)
                c=c+1;
                q(fila+c,1:24)=u(1,1+H:24+H);
                H=H+24;
                q(fila+c,42)=1;
                q(fila+c,43:46)=u(1,1+H:4+H);
                H=H+4;
            else
                c=c+1;
                q(fila+c,1:48)=u(1,1+H:48+H);
                H=H+48;
            end
        end
        V3=[0 0 0 0 0 0 0 0];
        J2=[0 0 0 0 0 0 0 0];
        q(fila,1:8)=V3; q(fila,9:16)=J2;
    end    
    if (B==3)
        c=0;
        for i=1:9
            if (i==1)
                q(fila,18:23)=u(1,1+H:6+H);
                H=H+6;
                q(fila,25:48)=u(1,1+H:24+H);
                H=H+24;
            elseif (i>=2&i<=4)
                c=c+1;
                q(fila+c,1:48)=u(1,1+H:48+H);
                H=H+48;
            elseif (i==5)
                c=c+1;
                q(fila+c,1:24)=u(1,1+H:24+H);
                H=H+24;
                q(fila+c,33:40)=u(1,1+H:8+H);
                H=H+8;
                q(fila+c,42)=1;
                q(fila+c,47)=u(1,1+H);
                H=H+1;
            else
                c=c+1;
                q(fila+c,1:48)=u(1,1+H:48+H);
                H=H+48;
            end
        end
            V4=[0 0 0 0 0 0 0 0];
            N2=[0 0 0 0 0 0 0 0];
            q(fila,1:8)=V4; q(fila,9:16)=N2;   
     end    
     if (B==4)
        c=0;
        for i=1:9
            if (i==1)
                q(fila,23)=u(1,1+H);
                H=H+1;
                q(fila,18)=1;
                q(fila,25:48)=u(1,1+H:24+H);
                H=H+24;
            elseif (i>=2&i<=4)
                c=c+1;
                q(fila+c,1:48)=u(1,1+H:48+H);
                H=H+48;
            elseif (i==5)
                c=c+1;
                q(fila+c,1:24)=u(1,1+H:24+H);
                H=H+24;
                q(fila+c,42)=1;
                q(fila+c,43:46)=u(1,1+H:4+H);
                H=H+4;
            else
                c=c+1;
                q(fila+c,1:48)=u(1,1+H:48+H);
                H=H+48;
            end
        end
        V1=[0 1 1 0 1 1 0 0];
        K4=[0 0 0 0 0 0 0 0];
        q(fila,1:8)=V1; q(fila,9:16)=K4;
        B=0;    
    end
    fila=fila+9;
end
y=q;
end



            
