function  y = mapeo_DS1_byte_sincrono(u)


%Nota: el mapeo se realiza de igual manera que para una seal DS1 Asincrona
%pero con la diferencia que no existen bits de relleno(no necesita relleno)
%porque la seal DS1 tiene velocidad de transmision constante.

% NOTA: los bytes que no se utilizan estan en bajo 0's


                                            %*****************************************
                                            %*MAPEO DE DS1 byte-SINCRONO EN UN VT1.5 *
                                            %*****************************************

                                                  % NO EXISTE BITS DE RELLENO

                                                  
                                                  
% Se trabajo con velocidad nominal de la seal PDH, DS1 = 1.544 Mbps
[Na Nb]=size(u);
Nciclo = Nb/193%(N de tramas requeridas)
Nfila=(Nciclo)*9+9;
q=zeros(Nfila,24);
%------------------
q(1:9,1:24)=zeros(9,24);
V1=[0 1 1 0 1 1 0 0];
q(1,1:8)=V1;
fila=10;


B=0; H=0;
%------------------
for j=1:Nciclo
    B=B+1;
   
        c=0;
        for i=1:9
            if i==1
                q(fila,23)=u(1,1+H);
                H=H+1;
            else
                c=c+1;
                q(fila+c,1:24)=u(1,1+H:24+H);
                H=H+24;
            end
        end
        if B==1
           V2=[0 0 0 0 0 0 0 0];
           V5=[0 0 0 0 1 0 0 0];
           q(fila,1:8)=V2; q(fila,9:16)=V5;
        elseif B==2
           V3=[0 0 0 0 0 0 0 0];
           J2=[0 0 0 0 0 0 0 0];
           q(fila,1:8)=V3; q(fila,9:16)=J2;
        elseif B==3
           V4=[0 0 0 0 0 0 0 0];
           N2=[0 0 0 0 0 0 0 0];
           q(fila,1:8)=V4; q(fila,9:16)=N2;
        elseif B==4
           V1=[0 1 1 0 1 1 0 0];
           K4=[0 0 0 0 0 0 0 0];
           q(fila,1:8)=V1; q(fila,9:16)=K4;
           B=0;
        end
   fila=fila+9;
end
y=q;
